Subject: How bout the wonderful Yucca Mexican hallucinogens!!!!

From: [email-masked] (Billnfam)
Date: 24 Oct 1996 17:57:27 -0400

For all you mushroom lovers out there who like to like mushrooms on the
wild side watch out for the hallucinogenic mushrooms with the inky blue
tops in the southwest US and Mexico they're liable to send you on a trip
especially mixed with alcohol. Genus:? species who caress???!!!??!?!?!?!?!
long as they do the job they're all right